Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.addressing.v200408
Class Relationship

    java.lang.Object
      org.apache.cxf.ws.addressing.v200408.Relationship

    public class Relationship

extends java.lang.Object

Java class for Relationship complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Relationship">
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>anyURI">
           <attribute name="RelationshipType" type="{http://www.w3.org/2001/XMLSchema}QName" />
         </extension>
       </simpleContent>
     </complexType>

Field Summary
`protected javax.xml.namespace.QName` | `relationshipType`
`protected java.lang.String` | `value`

Constructor Summary
`Relationship()`

Method Summary
`java.util.Map<javax.xml.namespace.QName,java.lang.String>` | `getOtherAttributes()` Gets a map that contains attributes that aren't bound to any typed property on this class.
`javax.xml.namespace.QName` | `getRelationshipType()` Gets the value of the relationshipType property.
`java.lang.String` | `getValue()` Gets the value of the value property.
`void` | `setRelationshipType(javax.xml.namespace.QName value)` Sets the value of the relationshipType property.
`void` | `setValue(java.lang.String value)` Sets the value of the value property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected java.lang.String value

### relationshipType

    protected javax.xml.namespace.QName relationshipType

Constructor Detail

### Relationship

    public Relationship()

Method Detail

### getValue

    public java.lang.String getValue()

  Gets the value of the value property.

  Returns:
    possible object is `String`

### setValue

    public void setValue(java.lang.String value)

  Sets the value of the value property.

  Parameters:
    `value` - allowed object is `String`

### getRelationshipType

    public javax.xml.namespace.QName getRelationshipType()

  Gets the value of the relationshipType property.

  Returns:
    possible object is `QName`

### setRelationshipType

    public void setRelationshipType(javax.xml.namespace.QName value)

  Sets the value of the relationshipType property.

  Parameters:
    `value` - allowed object is `QName`

### getOtherAttributes

    public java.util.Map<javax.xml.namespace.QName,java.lang.String> getOtherAttributes()

  Gets a map that contains attributes that aren't bound to any typed property on this class.

  the map is keyed by the name of the attribute and the value is the string value of the attribute. the map returned by this method is live, and you can add new attribute by updating the map directly. Because of this design, there's no setter.

  Returns:
    always non-null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.